<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Sleeve](./bitburner.sleeve.md) &gt; [setToUniversityCourse](./bitburner.sleeve.settouniversitycourse.md)

## Sleeve.setToUniversityCourse() method

Set a sleeve to take a class at a university.

**Signature:**

```typescript
setToUniversityCourse(
    sleeveNumber: number,
    universityName: UniversityLocationName,
    courseName: UniversityClassType,
  ): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

sleeveNumber


</td><td>

number


</td><td>

Index of the sleeve to start taking class.


</td></tr>
<tr><td>

universityName


</td><td>

[UniversityLocationName](./bitburner.universitylocationname.md)


</td><td>

Name of the university to attend.


</td></tr>
<tr><td>

courseName


</td><td>

[UniversityClassType](./bitburner.universityclasstype.md)


</td><td>

Name of the course to follow.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if this action was set successfully, false otherwise.

## Remarks

RAM cost: 4 GB

Return a boolean indicating whether or not this action was set successfully.

